%define archivename     LinLibertineSRC
%define fontdir         %{_datadir}/fonts/linux-libertine

Name:          linux-libertine-fonts
Version:       2.6.9
Release:       1%{?dist}
Summary:       Linux Libertine Open Fonts
Group:         User Interface/X
License:       GPL+ with exceptions or OFL
URL:           http://linuxlibertine.sf.net
Source:        http://dl.sf.net/linuxlibertine/%{archivename}-2.6.tgz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch
BuildRequires: fontforge

%description
The Linux Libertine Open Fonts are a TrueType font family for practical
use in documents. They were created to provide a free alternative to
proprietary standard fonts.


%prep
%setup -q -n %{archivename}


%build
fontforge -script "-" *.sfd <<EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
EOF


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -p -m 0644 *.ttf  $RPM_BUILD_ROOT%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(644,root,root,755)
%doc Bugs Readme *.txt *.pdf
%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Sun Sep 16 2007 Kevin Fenzi <kevin@tummy.com> - 2.6.9-1
- Updated to 2.6.9
- Update License tag

* Sat Mar 17 2007 Frank Arnold <frank@scirocco-5v-turbo.de> 2.4.9-1
- Updated to 2.4.9
- Reenabled generation of PDF files

* Tue Oct 01 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.2.0-1
- Updated to 2.2.0
- Removed ghosted cache file as it's no longer stored in tree
- Disabled generation of PDF files because fontforge will segfault
- Added OFL to License field

* Tue Sep 19 2006 Kevin Fenzi <kevin@tummy.com> 2.1.9-2
- Upload proper 2.1.9 sources and rebuild

* Tue Sep 19 2006 Kevin Fenzi <kevin@tummy.com> 2.1.9-1
- Update to 2.1.9

* Tue Aug 29 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.1.0-1
- Updated to 2.1.0

* Tue Feb 28 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.4-2
- Named back to linux-libertine-fonts

* Wed Feb 13 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.4-1
- Updated to 2.0.4
- Removed handling of fonts.cache-2

* Wed Feb 01 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.1-3
- Nuked separate fontforge build script, now in %%build section

* Tue Jan 31 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.1-2
- Fixed the following issues addressed by Ignacio Vazquez-Abrams
- Package renaming to font-linux-libertine
- Generate fonts from sources
- Sample sheets for each font in PDF format

* Mon Jan 30 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.1-1
- Initial RPM release
- Spec derived from other font packages
